store-printer-profiles-get-many¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-34
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-printer-profiles-get-manyComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-get-manyLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-34curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-34
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-printer-profiles-get-many
Table:
- table: jef-store-printer-profiles
- operation: get-many
Payload Schema:
- gsi_1_pk: entity_number
Payload Example:
- gsi_1_pk: 1001
Response Schema:
- exists: boolean
- message: string
- items: [{"printer_profile_id":"string","entity_number":"string","employee_number":"string","device_id":"string","device_name":"string","service_uuid":"string","characteristic_uuid":"string","write_mode":"string","environment":"string","is_default":"boolean","last_connected_at":"string","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}]
Request Payload¶
{
"gsi_1_pk": "entity_number"
}
Response¶
{
"exists": "boolean",
"message": "string",
"items": "[{\"printer_profile_id\":\"string\",\"entity_number\":\"string\",\"employee_number\":\"string\",\"device_id\":\"string\",\"device_name\":\"string\",\"service_uuid\":\"string\",\"characteristic_uuid\":\"string\",\"write_mode\":\"string\",\"environment\":\"string\",\"is_default\":\"boolean\",\"last_connected_at\":\"string\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}]"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-get-many?gsi_1_pk=1001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-printer-profiles-get-many?gsi_1_pk=1001"